Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory.EllipseHighlighter

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
          jpicedt.graphic.view.DefaultHighlighterFactory.EllipseHighlighter

All Implemented Interfaces:
  Highlighter

Enclosing class:
  DefaultHighlighterFactory

public class DefaultHighlighterFactory.EllipseHighlighter
extends DefaultHighlighterFactory.DefaultHighlighter

a Highlighter for PicEllipse's. This comprises control-points and the surrounding parallelogram.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`bounds, element, pointIndexIterator, ptBuffer, rectBuffer, shape`

Constructor Summary
`DefaultHighlighterFactory.EllipseHighlighter(PicEllipse ellipse)` construct a new Highlighter for the given ellipse

Method Summary
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Render the Highlighter to the given graphic context. Current implementation paints end-points using the highlighter color if the given allocation intersects the bounds of this view, then paint the surrounding parallelogram.
`protected void` | `syncShape(double scale)` Synchronize the "shape" variable with the model.

Methods inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`changedUpdate, getBounds, getControlPointsIterator, getElement, getHighlighterFactory, hitTest, syncBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighterFactory.EllipseHighlighter

    public DefaultHighlighterFactory.EllipseHighlighter(PicEllipse ellipse)

  construct a new Highlighter for the given ellipse

Method Detail

### syncShape

    protected void syncShape(double scale)

  Synchronize the "shape" variable with the model.

  Overrides:
    `syncShape` in class `DefaultHighlighterFactory.DefaultHighlighter`
  Parameters:
    `scale` - The current scale factor from-model-to-screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that e.g. barbells appear with the same size on the screen whatever the scale factor being set to the graphic context.

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Render the Highlighter to the given graphic context.
  Current implementation paints end-points using the highlighter color if the given allocation intersects the bounds of this view, then paint the surrounding parallelogram.

  Specified by:
    `paint` in interface `Highlighter`
  Overrides:
    `paint` in class `DefaultHighlighterFactory.DefaultHighlighter`
  Parameters:
    `scale` - The current scale factor from model to screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that lines/rectangle/... appear with the same length on the screen whatever the scale factor that's set to the graphic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org